fees.md
Fees
A Fee is a charge levied against a Merchant. It represents how a platform charges its sellers for all various types of Fees.
List Fees
- GET /fees: Retrieve a list of Fee resources.
Filter fees by linked entity: You can filter fees by the entity that generated them using the linked_to query parameter:
- Transfer fees: ?linked_to=TRnErBfrHLgdAi3BqAkWLN27
- Authorization fees: ?linked_to=AUg8unYpnWBEY1AdVUDkdQYJ
- Split transfer fees: ?linked_to=split_transfer_split_transfer_97gaitUpcmzqjYYpQbei9j
- Compliance Form fees: ?linked_to=cf_uwErNm23TKYNEiqrEdJK59
- Payment Instrument fees: ?linked_to=PInVUXZLswZi6pdcK1T41MuE
- Merchant-specific fees: ?linked_to=MUwfZPNW3r4EqLMzwgr6txw4
To show fees charged to a specific entity during a period, pass the created_at.gte and created_at.lte query parameters.
- Example: ?merchant_id=MUeDVrf2ahuKc9Eg5TeZugvs&created_at.lte=2025-01-01&created_at.gte=2025-02-01
Create a Custom Fee
- POST /fees: Create a custom (i.e. one-time) Fee.
Fetch a Fee
- GET /fees/{fee_id}: Retrieve the details of an existing Fee.
Update Fee
- PUT /fees/{fee_id}: Update the details of a Fee.